Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkCocoaRenderWindow Class Reference

`#include <vtkCocoaRenderWindow.h>`

Inheritance diagram for vtkCocoaRenderWindow:

[legend]
Collaboration diagram for vtkCocoaRenderWindow:

[legend]
List of all members.

## Detailed Description

Cocoa OpenGL rendering window.

Date:
  2003/02/05 20:38:10

Revision:
  1.8

vtkCocoaRenderWindow is a concrete implementation of the abstract class vtkOpenGLRenderWindow. vtkCocoaRenderWindow interfaces to the OpenGL graphics library using the Cocoa API on Mac OSX.

Created by:
  - Starreveld, Yves

CVS contributions (if > 5%):
  - Starreveld, Yves (79%)
  - Cedilnik, Andy (17%)

CVS logs (CVSweb):
  - .`mm` (`/Rendering/vtkCocoaRenderWindow.mm)`
  - .`h` (`/Rendering/vtkCocoaRenderWindow.h)`

Definition at line 46 of file vtkCocoaRenderWindow.h.

## Public Types
typedef vtkOpenGLRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | Start (void)
virtual void | Frame (void)
virtual void | WindowConfigure (void)
virtual void | WindowInitialize (void)
virtual void | Initialize (void)
virtual void | SetFullScreen (int)
virtual void | WindowRemap (void)
virtual void | PrefFullScreen (void)
virtual void | SetSize (int, int)
virtual int * | GetSize ()
virtual void | SetPosition (int, int)
virtual int * | GetScreenSize ()
virtual int * | GetPosition ()
virtual void | SetWindowName (const char *)
virtual void | SetWindowInfo (void *)
virtual void * | GetGenericDisplayId ()
virtual void * | GetGenericWindowId ()
virtual void * | GetGenericContext ()
virtual void | SetDisplayId (void *)
virtual void | SetParentId (void *)
virtual void * | GetGenericParentId ()
virtual void * | GetGenericDrawable ()
virtual void | SetWindowInfo (char *)
virtual void | SetParentInfo (char *)
virtual void * | GetWindowId ()
virtual void | SetWindowId (void *)
void | SetContextId (void *)
void | SetDeviceContext (void *)
virtual void | SetMultiSamples (int)
virtual int | GetMultiSamples ()
virtual void | StereoUpdate ()
virtual void | SetStereoCapableWindow (int capable)
virtual void | MakeCurrent ()
const char * | ReportCapabilities ()
int | SupportsOpenGL ()
int | IsDirect ()
virtual void | SetForceMakeCurrent ()
virtual int | GetEventPending ()
void | Clean ()
void | RegisterTextureResource (GLuint id)
int | GetDepthBufferSize ()
void | UpdateSizeAndPosition (int xPos, int yPos, int xSize, int ySize)
virtual void | OpenGLInit ()
virtual void | SetupPalette (void *hDC)
virtual void | SetupPixelFormat (void *hDC, void *dwFlags, int debug, int bpp=16, int zbpp=16)
virtual void | HideCursor ()
virtual void | ShowCursor ()
## Static Public Methods
vtkCocoaRenderWindow * | New ()
int | IsTypeOf (const char *type)
vtkCocoaRenderWindow * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkCocoaRenderWindow ()
| ~vtkCocoaRenderWindow ()
int | GetPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
int | GetZbufferData (int x1, int y1, int x2, int y2, float *z)
int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, float *data)
int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
## Protected Attributes
int | ApplicationInitialized
void * | ContextId
void * | DeviceContext
void * | WindowId
void * | WindowController
int | OwnWindow
int | ScreenSize [2]
int | MultiSamples
vtkIdList * | TextureResourceIds
int | ScreenMapped
int | ScreenWindowSize [2]
void * | ScreenDeviceContext
int | ScreenDoubleBuffer
void * | ScreenContextId
int | CursorHidden
int | ForceMakeCurrent
char * | Capabilities

## Member Typedef Documentation

typedef vtkOpenGLRenderWindow vtkCocoaRenderWindow::Superclass

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 50 of file vtkCocoaRenderWindow.h.

## Constructor & Destructor Documentation

vtkCocoaRenderWindow::vtkCocoaRenderWindow | ( |  | ) | `[protected]`

vtkCocoaRenderWindow::~vtkCocoaRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

vtkCocoaRenderWindow* vtkCocoaRenderWindow::New | ( |  | ) | `[static]`

| Construct an instance of vtkRenderWindow with its screen size set to 300x300, borders turned on, positioned at (0,0), double buffering turned on. Reimplemented from vtkRenderWindow.

virtual const char* vtkCocoaRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkCocoaRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkCocoaRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkOpenGLRenderWindow.

vtkCocoaRenderWindow* vtkCocoaRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkOpenGLRenderWindow.

void vtkCocoaRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCocoaRenderWindow::Start | ( | void |  | ) | `[virtual]`

| Begin the rendering process. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::Frame | ( | void |  | ) | `[virtual]`

| End the rendering process and display the image. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::WindowConfigure | ( | void |  | ) | `[virtual]`

| Specify various window parameters.

virtual void vtkCocoaRenderWindow::WindowInitialize | ( | void |  | ) | `[virtual]`

| Initialize the window for rendering.

virtual void vtkCocoaRenderWindow::Initialize | ( | void |  | ) | `[virtual]`

| Initialize the rendering window.

virtual void vtkCocoaRenderWindow::SetFullScreen | ( | int |  | ) | `[virtual]`

| Change the window to fill the entire screen. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::WindowRemap | ( | void |  | ) | `[virtual]`

| Remap the window. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::PrefFullScreen | ( | void |  | ) | `[virtual]`

| Set the preferred window size to full screen.

virtual void vtkCocoaRenderWindow::SetSize | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the size of the window. Reimplemented from vtkWindow.

virtual int* vtkCocoaRenderWindow::GetSize | ( |  | ) | `[virtual]`

| Get the current size of the window. Reimplemented from vtkWindow.

virtual void vtkCocoaRenderWindow::SetPosition | ( | int | ,
|  | int |
| ) | `[virtual]`

| Set the position of the window. Reimplemented from vtkWindow.

virtual int* vtkCocoaRenderWindow::GetScreenSize | ( |  | ) | `[virtual]`

| Return the scrren size.

virtual int* vtkCocoaRenderWindow::GetPosition | ( |  | ) | `[virtual]`

| Get the position in screen coordinates of the window. Reimplemented from vtkWindow.

virtual void vtkCocoaRenderWindow::SetWindowName | ( | const char * |  | ) | `[virtual]`

| Set the name of the window. This appears at the top of the window normally. Reimplemented from vtkWindow.

virtual void vtkCocoaRenderWindow::SetWindowInfo | ( | void * |  | ) | `[virtual]`

| Set this RenderWindow's window id to a pre-existing window.

virtual void* vtkCocoaRenderWindow::GetGenericDisplayId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 100 of file vtkCocoaRenderWindow.h.

virtual void* vtkCocoaRenderWindow::GetGenericWindowId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 101 of file vtkCocoaRenderWindow.h.

virtual void* vtkCocoaRenderWindow::GetGenericContext | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 102 of file vtkCocoaRenderWindow.h.

virtual void vtkCocoaRenderWindow::SetDisplayId | ( | void * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 103 of file vtkCocoaRenderWindow.h.

virtual void vtkCocoaRenderWindow::SetParentId | ( | void * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 104 of file vtkCocoaRenderWindow.h.

virtual void* vtkCocoaRenderWindow::GetGenericParentId | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 108 of file vtkCocoaRenderWindow.h.

virtual void* vtkCocoaRenderWindow::GetGenericDrawable | ( |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 113 of file vtkCocoaRenderWindow.h.

virtual void vtkCocoaRenderWindow::SetWindowInfo | ( | char * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 118 of file vtkCocoaRenderWindow.h.

virtual void vtkCocoaRenderWindow::SetParentInfo | ( | char * |  | ) | `[inline, virtual]`

| Dummy stubs for vtkWindow API. Implements vtkRenderWindow. Definition at line 122 of file vtkCocoaRenderWindow.h.

virtual void* vtkCocoaRenderWindow::GetWindowId | ( |  | ) | `[virtual]`

| Get the window id.

virtual void vtkCocoaRenderWindow::SetWindowId | ( | void * |  | ) | `[virtual]`

| Set the window id to a pre-existing window. Implements vtkRenderWindow.

void vtkCocoaRenderWindow::SetContextId | ( | void * |  | ) |

void vtkCocoaRenderWindow::SetDeviceContext | ( | void * |  | ) |

virtual void vtkCocoaRenderWindow::SetMultiSamples | ( | int |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented from vtkOpenGLRenderWindow.

virtual int vtkCocoaRenderWindow::GetMultiSamples | ( |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCocoaRenderWindow::StereoUpdate | ( |  | ) | `[virtual]`

| Update system if needed due to stereo rendering. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCocoaRenderWindow::SetStereoCapableWindow | ( | int | capable | ) | `[virtual]`

| Prescribe that the window be created in a stereo-capable mode. This method must be called before the window is realized. This method overrrides the superclass method since this class can actually check whether the window has been realized yet. Reimplemented from vtkRenderWindow.

virtual void vtkCocoaRenderWindow::MakeCurrent | ( |  | ) | `[virtual]`

| Make this windows OpenGL context the current context. Implements vtkOpenGLRenderWindow.

const char* vtkCocoaRenderWindow::ReportCapabilities | ( |  | ) | `[virtual]`

| Get report of capabilities for the render window Reimplemented from vtkRenderWindow.

int vtkCocoaRenderWindow::SupportsOpenGL | ( |  | ) | `[virtual]`

| Does this render window support OpenGL? 0-false, 1-true Reimplemented from vtkRenderWindow.

int vtkCocoaRenderWindow::IsDirect | ( |  | ) | `[virtual]`

| Is this render window using hardware acceleration? 0-false, 1-true Reimplemented from vtkRenderWindow.

virtual void vtkCocoaRenderWindow::SetForceMakeCurrent | ( |  | ) | `[virtual]`

| If called, allow MakeCurrent() to skip cache-check when called. MakeCurrent() reverts to original behavior of cache-checking on the next render. Reimplemented from vtkRenderWindow.

virtual int vtkCocoaRenderWindow::GetEventPending | ( |  | ) | `[virtual]`

| Check to see if an event is pending for this window. This is a useful check to abort a long render. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::OpenGLInit | ( |  | ) | `[virtual]`

| Initialize OpenGL for this window. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCocoaRenderWindow::SetupPalette | ( | void * | hDC | ) | `[virtual]`

| Initialize OpenGL for this window.

virtual void vtkCocoaRenderWindow::SetupPixelFormat | ( | void * | hDC,
|  | void * | dwFlags,
|  | int | debug,
|  | int | bpp = 16,
|  | int | zbpp = 16
| ) | `[virtual]`

| Initialize OpenGL for this window.

void vtkCocoaRenderWindow::Clean | ( |  | ) |

| Clean up device contexts, rendering contexts, etc.

void vtkCocoaRenderWindow::RegisterTextureResource | ( | GLuint | id | ) |

| Register a texture name with this render window Reimplemented from vtkOpenGLRenderWindow.

int vtkCocoaRenderWindow::GetDepthBufferSize | ( |  | ) | `[virtual]`

| Get the size of the depth buffer. Reimplemented from vtkOpenGLRenderWindow.

virtual void vtkCocoaRenderWindow::HideCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

virtual void vtkCocoaRenderWindow::ShowCursor | ( |  | ) | `[virtual]`

| Hide or Show the mouse cursor, it is nice to be able to hide the default cursor if you want VTK to display a 3D cursor instead. Implements vtkRenderWindow.

void vtkCocoaRenderWindow::UpdateSizeAndPosition | ( | int | xPos,
|  | int | yPos,
|  | int | xSize,
|  | int | ySize
| ) |

int vtkCocoaRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkCocoaRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | float * | z
| ) | `[protected]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkCocoaRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | float * | data
| ) | `[protected]`

| Reimplemented from vtkOpenGLRenderWindow.

int vtkCocoaRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

| Reimplemented from vtkOpenGLRenderWindow.

## Member Data Documentation

int vtkCocoaRenderWindow::ApplicationInitialized`[protected]`

| Definition at line 208 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::ContextId`[protected]`

| Definition at line 209 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::DeviceContext`[protected]`

| Definition at line 210 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::WindowId`[protected]`

| Definition at line 211 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::WindowController`[protected]`

| Definition at line 212 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::OwnWindow`[protected]`

| Definition at line 213 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::ScreenSize[2]`[protected]`

| Definition at line 214 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::MultiSamples`[protected]`

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 215 of file vtkCocoaRenderWindow.h.

vtkIdList* vtkCocoaRenderWindow::TextureResourceIds`[protected]`

| Reimplemented from vtkOpenGLRenderWindow. Definition at line 216 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::ScreenMapped`[protected]`

| Definition at line 230 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::ScreenWindowSize[2]`[protected]`

| Definition at line 231 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::ScreenDeviceContext`[protected]`

| Definition at line 232 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::ScreenDoubleBuffer`[protected]`

| Definition at line 233 of file vtkCocoaRenderWindow.h.

void* vtkCocoaRenderWindow::ScreenContextId`[protected]`

| Definition at line 234 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::CursorHidden`[protected]`

| Definition at line 236 of file vtkCocoaRenderWindow.h.

int vtkCocoaRenderWindow::ForceMakeCurrent`[protected]`

| Definition at line 237 of file vtkCocoaRenderWindow.h.

char* vtkCocoaRenderWindow::Capabilities`[protected]`

| Definition at line 239 of file vtkCocoaRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkCocoaRenderWindow.h